{% extends "bases/account_management.html" %}

{% load i18n %}

{% block page_title %}{% translate "Connected Accounts" %}{% endblock %}
{% block card_title %}{% translate "Connected Accounts" %}{% endblock %}

{% block account_content %}

<div class="card">
  <div class="card-header">{% translate "Currently Connected Accounts" %}</div>
  <div class="card-body">
    {% if form.accounts %}
      <p>
        {% blocktranslate %}You can sign in to your account using any of the following third party accounts:{% endblocktranslate %}
      </p>

      <form method="post">
        {% csrf_token %}

        {% if form.non_field_errors %}
            <div class="alert alert-error">
                <a class="close" data-dismiss="alert">&times;</a>
                {% for non_field_error in form.non_field_errors %}
                    {{ non_field_error }}
                {% endfor %}
            </div>
        {% endif %}


        <table class="table">
          <thead>
            <tr>
              <th>
            {% translate 'Provider' %}
              </th>
              <th>
            {% translate 'Account' %}
              </th>
            </tr>
          </thead>
          <tbody>
            {% for base_account in form.accounts %}
              {% with base_account.get_provider_account as account %}
                  <tr>
                    <td>
              <label class="radio" for="id_account_{{base_account.id}}">
              <input id="id_account_{{base_account.id}}" type="radio" name="account" value="{{base_account.id}}"/>
              <span class="socialaccount_provider {{base_account.provider}} {{account.get_brand.id}}">{{account.get_brand.name}}</span>
              </label>
                    </td>
                    <td>
                  {{account}}
                    </td>
                  </tr>
              {% endwith %}
            {% endfor %}
          </tbody>
        </table>

        <div class="form-actions">
          <button class="btn btn-danger" type="submit">{% translate 'Remove' %}</button>
        </div>
      </form>
    {% else %}
      <div class="alert alert-secondary alert-outline alert-dismissible" role="alert">
        <div class="alert-icon">
          <i class="far fa-fw fa-bell"></i>
        </div>
        <div class="alert-message">
          {% translate 'You currently have no 3rd party accounts connected to this account.' %}
        </div>
      </div>
    {% endif %}
  </div>
</div>

<div class="card">
  <div class="card-header">{% translate 'Connect a New 3rd Party Account' %}</div>
  <div class="card-body">

    <ul class="socialaccount_providers">
    {% include "socialaccount/snippets/provider_list.html" with process="connect" %}
    </ul>
    {% include "socialaccount/snippets/login_extra.html" %}
  </div>
</div>
{% endblock %}
